<?php
include_once('common.php');
$ssl = sapp_is_ssl_avaible();
?>
<fieldset>
	<legend><?php echo msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?php echo sapp_is_wrong('install_prefix') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?php echo msg('install_prefix')?> <?php echo REQ?></label></td>
	<td>
		<input type="text" name="install_prefix" id="fid-install_prefix" value="<?php echo htmlspecialchars(sapp_get_install_prefix())?>">
		<span class="hint"><?php echo sapp_is_wrong('install_prefix') ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>

<?php if ($ssl): ?>

<tr <?php echo sapp_is_wrong('ssl_prefix') ? 'class="error"' : ''?>>
	<td class="name"><?php echo msg('ssl')?> <?php echo REQ?></td>
	<td>
		<SELECT name="ssl">
			<OPTION value="false" <?php echo sapp_get_param('ssl')=='http'? 'SELECTED':''?>><?php echo msg('ssl_off');?></OPTION>
			<OPTION value="true"  <?php echo sapp_get_param('ssl')=='https'?'SELECTED':''?>><?php echo msg('ssl_on');?></OPTION>
		</SELECT>
		<span class="hint"><?php echo sapp_is_wrong('ssl_prefix') ? sapp_get_wrong('ssl_prefix') : ''?></span>
	</td>
</tr>

<?php endif; ?>



<tr <?php echo sapp_is_wrong('digi_hostaddr') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-digi_hostaddr"><?php echo msg('host_address')?> <?php echo REQ?></label></td>
	<td>
		<input type="text" name="digi_hostaddr" id="fid-digi_hostaddr" value="<?php echo sapp_get_param('digi_hostaddr')?sapp_get_param('digi_hostaddr'): sapp_get_domain_name() ?>">
		<span class="hint"><?php echo sapp_is_wrong('digi_hostaddr') ? sapp_get_wrong('digi_hostaddr') : ''?></span>
	</td>
</tr>

<!--
<tr <?php echo sapp_is_wrong('digi_ftpuser') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-digi_ftpuser"><?php echo msg('ftp_user')?> <?php echo REQ?></label></td>
	<td>
		<input type="text" name="digi_ftpuser" id="fid-digi_ftpuser" value="<?php echo htmlspecialchars(sapp_get_param('digi_ftpuser'))?>">
		<span class="hint"><?php echo sapp_is_wrong('digi_ftpuser') ? sapp_get_wrong('digi_ftpuser') : ''?></span>
	</td>
</tr>

<tr <?php echo sapp_is_wrong('digi_ftppasswd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-digi_ftppasswd"><?php echo msg('ftp_password')?> <?php echo sapp_get_param('digi_ftppasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="digi_ftppasswd" id="fid-digi_ftppasswd" value="">
		<span class="hint"><?php echo sapp_is_wrong('digi_ftppasswd') ? sapp_get_wrong('digi_ftppasswd') : ''?></span>
	</td>
</tr>

<tr <?php echo sapp_is_wrong('digi_ftpconfirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-digi_ftpconfirm"><?php echo msg('ftp_confirm')?> <?php echo sapp_get_param('digi_ftpconfirm') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="digi_ftpconfirm" id="fid-digi_ftpconfirm" value="">
		<span class="hint"><?php echo sapp_is_wrong('digi_ftpconfirm') ? sapp_get_wrong('digi_ftpconfirm') : ''?></span>
	</td>
</tr>
-->

</table>

</fieldset>